#!/bin/bash

# The script creates a tar.xz tarball from git-repository of freecad-project
# ./get_orig_src.sh commitID   -   creates a tarball of specified commit
# ./get_orig_src.sh   - creates a tarball of the latest version
# Packages, that needs to be installed to use the script:
# atool, git-core

git clone git://free-cad.git.sourceforge.net/gitroot/free-cad/free-cad git_temp_packaging

cd git_temp_packaging

if [ $1 ]
then
    echo 'Checking out the revision ' $1
    git checkout -b newvers $1
else
    echo 'Using the latest revision'
fi 

GIT_REV=$(git log -n 1 --pretty="format:%h")
GIT_DAT=$(git log -n 1 --pretty="format:%ai")
GIT_DAT=${GIT_DAT:0:10}
GIT_DAT=$(echo $GIT_DAT | sed 's/-//g')

VER_DEB=0.13~$GIT_DAT.git$GIT_REV
FOLDER_NAME=freecad-0.13~$GIT_DAT.git$GIT_REV
TARBALL_NAME=freecad_0.13~$GIT_DAT.git$GIT_REV.orig.tar.xz

echo $VER_DEB
echo $FOLDER_NAME
echo $TARBALL_NAME

cd ..

mkdir $FOLDER_NAME 
cp -r git_temp_packaging/* $FOLDER_NAME/
rm -rf $FOLDER_NAME/.git 
rm -rf $FOLDER_NAME/src/3rdParty/CxImage
rm -rf $FOLDER_NAME/src/3rdParty/Pivy
rm -rf $FOLDER_NAME/src/3rdParty/Pivy-0.5

tar Jcvf $TARBALL_NAME $FOLDER_NAME
